apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"2.5.2-1-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"2.5.2-1-1","maistra-version":"2.5.2","maistra.io/owner":"istio-system","maistra.io/owner-name":"basic"},"name":"kiali","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic","uid":"86f73c2b-360b-4407-9ec3-de0d19d20a75"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress":{"enabled":true},"namespace":"istio-system","pod_labels":{"sidecar.istio.io/inject":"false"}},"external_services":{"custom_dashboards":{"namespace_label":"kubernetes_namespace"},"grafana":{"auth":{"password":"ErFcuGmmyUMXw5Q8Z1cmxbEo4pzneeuWLGOyhB+E1AU3/x6AghvHjA++Z/XV5qRa4QSg65ik3RKMxm48HIrHFTeqjtPvftXv/9H5ZTephsPC/ZeDVqBRawXkmZWW2r0qI7DAC3mHjV7e+4fJ3U3ZDl307nXv8EuaLKuQ3645mibkkn3z5cOtezdujJQH50gLUYIFpglZUTdhytOduzFJW0RzZ2vIzn5HJWyQAHADxiCK7AjaWZkRtO68iHUV4sp86gwzDpXdZ5s4yIVRhTCS1hLjA0l1YUET8z3yu9aVfu2culdF7UhxpGgMXQOydkmgw6MmZ9c6i5ZVhTotdPrp","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system.svc:3000","url":"https://grafana-istio-system.apps.cluster-msd8g.dynamic.redhatworkshops.io"},"istio":{"config_map_name":"istio-basic","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-basic","istiod_deployment_name":"istiod-basic","url_service_version":"http://istiod-basic.istio-system:15014/version"},"prometheus":{"auth":{"password":"ErFcuGmmyUMXw5Q8Z1cmxbEo4pzneeuWLGOyhB+E1AU3/x6AghvHjA++Z/XV5qRa4QSg65ik3RKMxm48HIrHFTeqjtPvftXv/9H5ZTephsPC/ZeDVqBRawXkmZWW2r0qI7DAC3mHjV7e+4fJ3U3ZDl307nXv8EuaLKuQ3645mibkkn3z5cOtezdujJQH50gLUYIFpglZUTdhytOduzFJW0RzZ2vIzn5HJWyQAHADxiCK7AjaWZkRtO68iHUV4sp86gwzDpXdZ5s4yIVRhTCS1hLjA0l1YUET8z3yu9aVfu2culdF7UhxpGgMXQOydkmgw6MmZ9c6i5ZVhTotdPrp","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system.svc:9090"},"tracing":{"auth":{"password":"ErFcuGmmyUMXw5Q8Z1cmxbEo4pzneeuWLGOyhB+E1AU3/x6AghvHjA++Z/XV5qRa4QSg65ik3RKMxm48HIrHFTeqjtPvftXv/9H5ZTephsPC/ZeDVqBRawXkmZWW2r0qI7DAC3mHjV7e+4fJ3U3ZDl307nXv8EuaLKuQ3645mibkkn3z5cOtezdujJQH50gLUYIFpglZUTdhytOduzFJW0RzZ2vIzn5HJWyQAHADxiCK7AjaWZkRtO68iHUV4sp86gwzDpXdZ5s4yIVRhTCS1hLjA0l1YUET8z3yu9aVfu2culdF7UhxpGgMXQOydkmgw6MmZ9c6i5ZVhTotdPrp","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://jaeger-query.istio-system.svc","namespace":"istio-system","service":"","url":"https://jaeger-istio-system.apps.cluster-msd8g.dynamic.redhatworkshops.io","use_grpc":false}},"installation_tag":"Kiali [istio-system]","istio_namespace":"istio-system","version":"v1.73"}}
    maistra.io/mesh-generation: 2.5.2-1-1
  resourceVersion: '88544'
  name: kiali
  uid: aa4f5a4d-a8fe-4468-a341-458880507d11
  creationTimestamp: '2024-07-09T18:16:13Z'
  generation: 1
  managedFields:
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"kiali.io/finalizer"': {}
      manager: ansible-operator
      operation: Update
      time: '2024-07-09T18:16:13Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:maistra.io/mesh-generation': {}
          'f:labels':
            'f:maistra.io/owner': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            .: {}
            'f:app.kubernetes.io/part-of': {}
            'f:maistra.io/owner-name': {}
            'f:app.kubernetes.io/version': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/component': {}
            'f:maistra-version': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"86f73c2b-360b-4407-9ec3-de0d19d20a75"}': {}
        'f:spec':
          .: {}
          'f:auth':
            .: {}
            'f:strategy': {}
          'f:deployment':
            .: {}
            'f:accessible_namespaces': {}
            'f:image_pull_policy': {}
            'f:ingress':
              .: {}
              'f:enabled': {}
            'f:namespace': {}
            'f:pod_labels':
              .: {}
              'f:sidecar.istio.io/inject': {}
          'f:external_services':
            .: {}
            'f:custom_dashboards':
              .: {}
              'f:namespace_label': {}
            'f:grafana':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:url': {}
            'f:istio':
              .: {}
              'f:config_map_name': {}
              'f:istio_sidecar_injector_config_map_name': {}
              'f:istiod_deployment_name': {}
              'f:url_service_version': {}
            'f:prometheus':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:url': {}
            'f:tracing':
              .: {}
              'f:auth':
                .: {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:namespace': {}
              'f:service': {}
              'f:url': {}
              'f:use_grpc': {}
          'f:installation_tag': {}
          'f:istio_namespace': {}
          'f:version': {}
      manager: istio-operator
      operation: Update
      time: '2024-07-09T18:16:13Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:deployment': {}
          'f:progress':
            .: {}
            'f:duration': {}
            'f:message': {}
          'f:specVersion': {}
      manager: OpenAPI-Generator
      operation: Update
      subresource: status
      time: '2024-07-09T18:20:28Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: ansible-operator
      operation: Update
      subresource: status
      time: '2024-07-09T18:20:30Z'
  namespace: istio-system
  ownerReferences:
    - apiVersion: maistra.io/v2
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: basic
      uid: 86f73c2b-360b-4407-9ec3-de0d19d20a75
  finalizers:
    - kiali.io/finalizer
  labels:
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/instance: istio-system
    maistra.io/owner-name: basic
    app.kubernetes.io/version: 2.5.2-1-1
    app.kubernetes.io/component: kiali
    maistra-version: 2.5.2
    app.kubernetes.io/managed-by: maistra-istio-operator
    maistra.io/owner: istio-system
    app.kubernetes.io/name: kiali
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces: []
    image_pull_policy: ''
    ingress:
      enabled: true
    namespace: istio-system
    pod_labels:
      sidecar.istio.io/inject: 'false'
  external_services:
    custom_dashboards:
      namespace_label: kubernetes_namespace
    grafana:
      auth:
        password: ErFcuGmmyUMXw5Q8Z1cmxbEo4pzneeuWLGOyhB+E1AU3/x6AghvHjA++Z/XV5qRa4QSg65ik3RKMxm48HIrHFTeqjtPvftXv/9H5ZTephsPC/ZeDVqBRawXkmZWW2r0qI7DAC3mHjV7e+4fJ3U3ZDl307nXv8EuaLKuQ3645mibkkn3z5cOtezdujJQH50gLUYIFpglZUTdhytOduzFJW0RzZ2vIzn5HJWyQAHADxiCK7AjaWZkRtO68iHUV4sp86gwzDpXdZ5s4yIVRhTCS1hLjA0l1YUET8z3yu9aVfu2culdF7UhxpGgMXQOydkmgw6MmZ9c6i5ZVhTotdPrp
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://grafana.istio-system.svc:3000'
      url: 'https://grafana-istio-system.apps.cluster-msd8g.dynamic.redhatworkshops.io'
    istio:
      config_map_name: istio-basic
      istio_sidecar_injector_config_map_name: istio-sidecar-injector-basic
      istiod_deployment_name: istiod-basic
      url_service_version: 'http://istiod-basic.istio-system:15014/version'
    prometheus:
      auth:
        password: ErFcuGmmyUMXw5Q8Z1cmxbEo4pzneeuWLGOyhB+E1AU3/x6AghvHjA++Z/XV5qRa4QSg65ik3RKMxm48HIrHFTeqjtPvftXv/9H5ZTephsPC/ZeDVqBRawXkmZWW2r0qI7DAC3mHjV7e+4fJ3U3ZDl307nXv8EuaLKuQ3645mibkkn3z5cOtezdujJQH50gLUYIFpglZUTdhytOduzFJW0RzZ2vIzn5HJWyQAHADxiCK7AjaWZkRtO68iHUV4sp86gwzDpXdZ5s4yIVRhTCS1hLjA0l1YUET8z3yu9aVfu2culdF7UhxpGgMXQOydkmgw6MmZ9c6i5ZVhTotdPrp
        type: basic
        use_kiali_token: false
        username: internal
      url: 'https://prometheus.istio-system.svc:9090'
    tracing:
      auth:
        password: ErFcuGmmyUMXw5Q8Z1cmxbEo4pzneeuWLGOyhB+E1AU3/x6AghvHjA++Z/XV5qRa4QSg65ik3RKMxm48HIrHFTeqjtPvftXv/9H5ZTephsPC/ZeDVqBRawXkmZWW2r0qI7DAC3mHjV7e+4fJ3U3ZDl307nXv8EuaLKuQ3645mibkkn3z5cOtezdujJQH50gLUYIFpglZUTdhytOduzFJW0RzZ2vIzn5HJWyQAHADxiCK7AjaWZkRtO68iHUV4sp86gwzDpXdZ5s4yIVRhTCS1hLjA0l1YUET8z3yu9aVfu2culdF7UhxpGgMXQOydkmgw6MmZ9c6i5ZVhTotdPrp
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://jaeger-query.istio-system.svc'
      namespace: istio-system
      service: ''
      url: 'https://jaeger-istio-system.apps.cluster-msd8g.dynamic.redhatworkshops.io'
      use_grpc: false
  installation_tag: 'Kiali [istio-system]'
  istio_namespace: istio-system
  version: v1.73
status:
  conditions:
    - lastTransitionTime: '2024-07-09T18:16:23Z'
      message: ''
      reason: ''
      status: 'False'
      type: Successful
    - lastTransitionTime: '2024-07-09T18:20:25Z'
      message: Running reconciliation
      reason: Running
      status: 'False'
      type: Running
    - ansibleResult:
        changed: 1
        completion: '2024-07-09T18:20:30.436071'
        failures: 1
        ok: 15
        skipped: 2
      lastTransitionTime: '2024-07-09T18:20:30Z'
      message: |-
        MODULE FAILURE
        See stdout/stderr for the exact error
      reason: Failed
      status: 'True'
      type: Failure
  deployment: {}
  progress:
    duration: '0:00:01'
    message: 1. Initializing
  specVersion: v1.73
